Subject: [secdir] secdir review of draft-ietf-pce-association-policy-15

From: "Scott G. Kelly" <[email-masked]>
Date: Thu, 31 Dec 2020 11:41:09 -0800 (PST)

I have reviewed this document as part of the security directorate's ongoing effort to review all IETF documents being processed by the IESG.  These comments were written primarily for the benefit of the security area directors.  Document editors and WG chairs should treat these comments just like any other last call comments.

The summary of the review is ready.

From the abstract, this document introduces a simple mechanism to associate policies to a group of Label Switched Paths (LSPs) via an extension to the Path Computation Element (PCE) Communication Protocol (PCEP).

The security considerations section references security considerations from RFCs 5394, 5440, 8231, 8281, 8408, and 8697. In addition, it recommends securing sessions with TLS in accordance with RFCs 8253 and 7525.

Because this protocol extension utilizes TLVs, there is an explicit call for care in decoding and utilizing these TLVs due to the potential for attack via malformed payloads.

I'm not a routing expert, but I think the authors have adequately covered security considerations for this extension.